=== debian/changelog ===
debian-cd (3.0.4) unstable; urgency=low

  [ Frans Pop ]
  * Disable debugging output in boot scripts.

  [ Otavio Salvador ]
  * Applied patch from Robert Millan <rmh@aybabtu.com> to integrate
    win32-loader. Closes: #440220.
  * Applied patch from Robert Millan <rmh@aybabtu.com> to fix image
    generation with read-only mirrors. Closes: #441397.
  * Applied patch from Robert Millan <rmh@aybabtu.com> to use win32-loader
    for autorun when CD is being used on Windows. Closes: #441846.
  * Exclude dhcp-client-udeb since it's not being used and transition for
    dhcp3-client-udeb has over.
  * Exclude multipath-udeb and libaio1-udeb since they're not being use
    yet.
  * Fix autorun.inf generation when win32-loader is present.
  * Applied patch from Nicolas François <nicolas.francois@centraliens.net>
    to allow README.html translation using po4a.
  * Remove the 'Last Modified' date from data/lenny/README.html.in since
    it's useless.
  * Use DEBOOTSTRAP_SCRIPT, BASE_INCLUDE and BASE_EXCLUDE variables to
    calculate the base packages set
  * Hide image creation command if not using verbosing make

  [ Steve McIntyre ]
  * Make daily i386/amd64 lenny builds work again - don't attempt to copy
    the win32-loader files into place if they don't exist.
  * Remove Depends: on sysutils. Closes: #437497 (again)

  [ Jérémy Bobbio ]
  * README.html: Integrate a new look for README.html done by Kalle Söderman.
    Huge thanks to him!
  * README: Improve the wording when building a netinst or business card by
    being a little bit more specific than just saying: CD 1 out of 1.  This
    meant adding new defines "DISKTYPE$DISKTYPE".

  [ Joey Hess ]
  * Include dmraid deb. Closes: #443991
  * Add acpi-support-base to generate_di+k_list.

  [ Steve McIntyre ]
  * Newer versions of debootstrap have moved the scripts from /usr/lib to
    /usr/share. Add a sym-link to cope - let's keep compatible with etch
    as much as possible. Also, log what debootstrap told us (in
    debootstrap-list) rather than just including the results directly in
    rawlist.

  [ Frans Pop ]
  * build_all.sh: don't source CONF.sh after already sourcing $CF earlier.
  * CONF.sh: add non-invasive option to avoid sourcing CONF.sh twice when
    using wrapper scripts.
  * CONF.sh: Don't set MAXCDS by default; was probably changed by accident.
  * boot-{mipsel,sparc}: Parse website directory index case insensitive so
    that both "<a href=" and "<A HREF=" are recognized.
  * Include busybox for architectures that use initramfs-tools; base-installer
    will try to install it.
  * tools/update_tasks: ignore comments and blank lines in tasks/task.list.
  * tasks/task.list*
    - add missing l10n tasks: gujarati-desktop, malayalam-desktop, tamil
    - comment out l10n tasks for languages not supported in D-I, for
      Icelandic, Irish, Serbian, Welsh and Xhosa
  * lenny tasks: update for current task lists; set svn:keywords so the date
    header gets updated.
  * Instead of including all alternative dependencies in list2cds, only
    include the first one. This reduces the size of the netinst and improves
    what's included on CD1. Only loss is console-{data,common,tools} so these
    are now added in generate_di+k_list. Reduces impact of #410418.
  * exclude-udebs: exclude any libdirectfb udeb instead of particular version.
  * exclude-udebs: exclude kbd-udeb and console-setup udebs (not yet used).
  * During installation debootstrap will complain about an invalid Release file
    if there is no Packages file for the local section. Create an empty Packages
    file if one is missing.
  * start_new_disc: make multi-arch CD/DVDs and CD/DVDs that are not part of a
    set (e.g. KDE/Xfce CDs) recognizable through info in .disk directory.
  * Makefile: debootstrap no longer accepts options with empty values; change
    the way include/exclude options are passed accordingly.

  [ Steve McIntyre ]
  * Significant cleanup of list2cds. Closes: #451237
  * tools/imagesums: use newer features in latest mkisofs/genisoimage to grab
    pre-calculated MD5 and SHA1 checksums directly from the jigdo file.

  [ Otavio Salvador ]
  * Make sure we include laptop-detect on arches that are know to have
    laptops (i386, amd64 and powerpc).
  * Make sure we include grub-pc since it's used when GPT disk label is
    chosen.

  [ Steve McIntyre ]
  * Fix a bug in start_new_disc - cope with MAXCDS not being set.
  * Temporarily disable boot support for arm CDs - the netwinder images are not
    being produced at the moment.

  [ Raphael Hertzog ]
  * Switch to genisoimage as default ISO generator as mkisofs has been dropped
    from Debian. Closes: #468850
  * Add Vcs-Browser field.
  * If genisomage is not available, try to fallback on mkisofs.
  * New OMIT_DOC_TOOLS option to be able to work with mirrors that do not
    contain the doc and tools directories.

  [ Frans Pop ]
  * Ensure that the correct version of the Installation Guide is included.
  * Lenny will be version 5.0.

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Mar 2008 23:16:20 +0000
