## debian-cd 3.1.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Q=@
 endif
 ifndef TASK
-TASK=$(BASEDIR)/tasks/Debian_$(CODENAME)
+TASK=Debian-generic
 endif
 ifndef MKISOFS
 export MKISOFS=$(shell which genisoimage mkisofs | head -1)
@@ -32,9 +32,6 @@
 ifndef HOOK
 HOOK=$(BASEDIR)/tools/$(CODENAME).hook
 endif
-ifndef DOJIGDO
-export DOJIGDO=0
-endif
 
 export BUILD_DATE=$(shell date -u +%Y%m%d-%H:%M)
 export ARCHES_NOSRC=$(shell echo $(ARCHES) | sed 's/source//')
@@ -47,7 +44,7 @@
 
 ## Internal variables  
 apt=$(BASEDIR)/tools/apt-selection
-list2cds=$(BASEDIR)/tools/list2cds
+sort_deps=$(BASEDIR)/tools/sort_deps
 md5sum=md5sum
 jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
 grab_md5=$(BASEDIR)/tools/grab_md5
@@ -56,15 +53,17 @@
 update_popcon=$(BASEDIR)/tools/update_popcon
 update_tasks=$(BASEDIR)/tools/update_tasks
 grab_source_list=$(BASEDIR)/tools/grab_source_list
+which_deb=$(BASEDIR)/tools/which_deb
 
 BDIR=$(TDIR)/$(CODENAME)
+TASKDIR=$(BDIR)/tasks
 ADIR=$(APTTMP)
 DB_DIR=$(BDIR)/debootstrap
 
 export DEBOOTSTRAP_DIR := $(DB_DIR)/usr/lib/debootstrap
 export PATH := $(DB_DIR)/usr/sbin:$(PATH)
-
-LATEST_DB := $(shell ls -1tr $(MIRROR)/pool/main/d/debootstrap/debootstrap*all.deb | tail -1)
+export BDIR
+export TASKDIR
 
 ## DEBUG STUFF ##
 
@@ -109,7 +108,7 @@
 ## INITIALIZATION ##
 
 # Creation of the directories needed
-init: ok $(OUT) $(TDIR) $(BDIR) $(ADIR) $(BDIR)/DATE $(DB_DIR) unstable-map
+init: ok $(OUT) $(TDIR) $(BDIR) $(ADIR) $(TASKDIR) $(BDIR)/DATE $(DB_DIR) unstable-map
 $(OUT):
 	$(Q)mkdir -p $(OUT)
 $(TDIR):
@@ -118,14 +117,31 @@
 	$(Q)mkdir -p $(BDIR)
 $(ADIR):
 	$(Q)mkdir -p $(ADIR)
+$(TASKDIR):
+	$(Q)echo "Updating task files..."
+	$(Q)mkdir -p $(TASKDIR)
+	$(Q)echo "- copying task files from 'tasks/$(DI_CODENAME)/'"
+	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
+	$(Q)echo "- task.languages: using 'tasks/$(DI_CODENAME)/$(TASK_LANGLIST)'"
+	$(Q)cp $(BASEDIR)/tasks/$(DI_CODENAME)/$(TASK_LANGLIST) \
+		$(TASKDIR)/task.languages
+	$(Q)echo "- generating dynamic task files"
+	$(Q)set -e; cd $(TASKDIR); \
+		$(BASEDIR)/tools/update_tasks; \
+		$(BASEDIR)/tools/generate_di_list; \
+		$(BASEDIR)/tools/generate_di+k_list
 $(BDIR)/DATE:
 	$(Q)date '+%Y%m%d' > $(BDIR)/DATE
+
+ifdef MIRROR
+LATEST_DB := $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) debootstrap)
 $(DB_DIR): $(LATEST_DB)
 	@rm -rf $(DB_DIR)
-	@dpkg -x $(LATEST_DB) $(DB_DIR)
-	if [ ! -e $(DEBOOTSTRAP_DIR) ] ; then \
+	$(Q)dpkg -x $(LATEST_DB) $(DB_DIR)
+	$(Q)if [ ! -e $(DEBOOTSTRAP_DIR) ] ; then \
 		ln -sf share $(DB_DIR)/usr/lib ; \
 	fi
+endif
 
 # Make sure unstable/sid points to testing/lenny, as there is no build
 # rule for unstable/sid.
@@ -145,6 +161,7 @@
 clean: ok dir-clean
 dir-clean:
 	$(Q)rm -rf $(BDIR)/CD[1234567890]*
+	$(Q)rm -rf $(TASKDIR)
 	$(Q)rm -f $(BDIR)/*.filelist*
 	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/upgrade-stamp $(BDIR)/md5-check
 
@@ -247,25 +264,23 @@
 # Deleting the list only
 deletelist: ok
 	$(Q)-rm $(BDIR)/rawlist
-	$(Q)-rm $(BDIR)/rawlist-exclude
 	$(Q)-rm $(BDIR)/list
-	$(Q)-rm $(BDIR)/list.exclude
 
 packagelists: ok apt-update genlist
 
 # Build the raw list (cpp output) with doubles and spaces
 $(BDIR)/rawlist:
 # Dirty workaround for saving space, we add some hints to break ties.
-# This is just a temporal solution, list2cds should be a little bit less
+# This is just a temporal solution, sort_deps should be a little bit less
 # silly so that this is not needed. For more info have a look at
 # http://lists.debian.org/debian-cd/2004/debian-cd-200404/msg00093.html
 	$(Q)if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
 		if [ "$(INSTALLER_CD)"x = "1"x ] ; then \
-			echo >> $(BDIR)/rawlist; \
-	    elif [ "$(INSTALLER_CD)"x = "2"x ] ; then \
-			echo -e "mawk\nunifont\npptp-linux" >>$(BDIR)/rawlist; \
-	    else \
-		    echo -e "mawk\nexim4-daemon-light\nunifont\npptp-linux" >>$(BDIR)/rawlist; \
+			: ; \
+		elif [ "$(INSTALLER_CD)"x = "2"x ] ; then \
+			echo -e "mawk" >>$(BDIR)/rawlist; \
+		else \
+			echo -e "mawk\nexim4-daemon-light" >>$(BDIR)/rawlist; \
 		fi; \
 	fi
 
@@ -295,11 +310,11 @@
 		ARCHUNDEFS="$$ARCHUNDEFS -U $$ARCH"; \
 	done; \
 	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
-		cat $(TASK) | \
+		cat $(TASKDIR)/$(TASK) | \
 		cpp -nostdinc -nostdinc++ -P -undef $$ARCHDEFS \
 	   		$$ARCHUNDEFS -U i386 -U linux -U unix \
 		    -DFORCENONUSONCD1=0 \
-		    -I $(BASEDIR)/tasks -I $(BDIR) - - >> $(BDIR)/rawlist; \
+		    -I $(TASKDIR) - - >> $(BDIR)/rawlist; \
 	fi
 
     # If we're *only* doing source, then we need to build a list of all the
@@ -310,25 +325,9 @@
 	fi
 #	ls -al $(BDIR)/rawlist
 
-# Build the raw list (cpp output) with doubles and spaces for excluded packages
-$(BDIR)/rawlist-exclude:
-	$(Q)if [ -n "$(EXCLUDE)" ]; then \
-		for ARCH in $(ARCHES); do \
-			ARCHDEFS="$$ARCHDEFS -D ARCH_$(subst -,_,$$ARCH)"; \
-			ARCHUNDEFS="$$ARCHUNDEFS -U $$ARCH"; \
-		done; \
-	 	perl -npe 's/\@ARCH\@/$(ARCH)/g' $(EXCLUDE) | \
-			cpp -nostdinc -nostdinc++ -P -undef $$ARCHDEFS \
-			$$ARCHUNDEFS -U i386 -U linux -U unix \
-			-DFORCENONUSONCD1=0 \
-			-I $(BASEDIR)/tasks -I $(BDIR) - - >> $(BDIR)/rawlist-exclude; \
-	else \
-		echo > $(BDIR)/rawlist-exclude; \
-	fi
-
 # Generate the complete listing of packages from the task
 # Build a nice list without doubles and without spaces
-genlist: ok $(BDIR)/list $(BDIR)/list.exclude
+genlist: ok $(BDIR)/list
 $(BDIR)/list: $(BDIR)/rawlist
 	@echo "Generating the complete list of packages to be included in $(BDIR)/list..."
 	$(Q)perl -ne 'chomp; next if /^\s*$$/; \
@@ -336,34 +335,25 @@
 		  $(BDIR)/rawlist \
 		  > $(BDIR)/list
 
-$(BDIR)/list.exclude: $(BDIR)/rawlist-exclude
-	@echo "Generating the complete list of packages to be removed ..."
-	$(Q)perl -ne 'chomp; next if /^\s*$$/; \
-	          print "$$_\n" if not $$seen{$$_}; $$seen{$$_}++;' \
-		  $(BDIR)/rawlist-exclude \
-		  > $(BDIR)/list.exclude
-
 ## IMAGE BUILDING ##
 
 image-trees: ok genlist
-    # Use list2cds to do the dependency sorting
+    # Use sort_deps to do the dependency sorting
 	$(Q)for ARCH in $(ARCHES_NOSRC); do \
-		ARCH=$$ARCH $(list2cds) $(BDIR)/list; \
+		ARCH=$$ARCH $(sort_deps) $(BDIR)/list; \
 	done
 	$(Q)if [ "$(SOURCEONLY)"x = "yes"x ] ; then \
 		$(grab_source_list) $(BDIR) $(ADIR) $(BDIR)/list $(BDIR)/packages; \
 	else \
 		$(merge_package_lists) $(BDIR) $(ADIR) "$(ARCHES)" $(BDIR)/packages; \
 	fi
+	$(Q)if [ "$(INC_SOURCE)"x = "yes"x ] ; then \
+		grep ^source $(BDIR)/packages > $(BDIR)/packages.source; \
+	fi
 	$(Q)$(BASEDIR)/tools/make_disc_trees.pl $(BASEDIR) $(MIRROR) $(TDIR) $(CODENAME) "$(ARCHES)" $(MKISOFS)
 
-# DOJIGDO actions   (for both binaries and source)
-#    0    isofile
-#    1    isofile + jigdo, cleanup_jigdo
-#    2    jigdo, cleanup_jigdo
-#
 images: ok $(OUT) $(BDIR)/md5-check
-	$(Q)$(make_image) "$(BDIR)" "$(ARCHES)" "$(OUT)" "$(DOJIGDO)" "$(DEBVERSION)" "$(MIRROR)" "$(MKISOFS)" "$(MKISOFS_OPTS)" "$(JIGDO_OPTS)" "$(jigdo_cleanup)"
+	$(Q)$(make_image) "$(BDIR)" "$(ARCHES)" "$(OUT)" "$(DEBVERSION)" "$(MIRROR)" "$(MKISOFS)" "$(MKISOFS_OPTS)" "$(JIGDO_OPTS)" "$(jigdo_cleanup)"
 
 check-number-given:
 	@test -n "$(CD)" || (echo "Give me a CD=<num> parameter !" && false)
@@ -373,7 +363,7 @@
 
 # Calculate the md5sums for the images (if available), or get from templates
 imagesums:
-	$(Q)$(BASEDIR)/tools/imagesums $(OUT)
+	$(Q)$(BASEDIR)/tools/imagesums $(OUT) $(SUMS_EXTENSION)
 
 ## MISC TARGETS ##
 
@@ -389,3 +379,7 @@
 	done
 
 update-popcon:
+	$(update_popcon) tasks/$(CODENAME)/popularity-contest
+
+# Little trick to simplify things
+official_images: ok init packagelists image-trees images
