=== debian/changelog ===
debian-cd (3.1.0) unstable; urgency=low

  [ Frans Pop ]
  * Don't include brltty on netinst images as it pulls in libicu which causes
    a 5MB size increase of the image, which is out of proportion given its use.
    This should not affect users as netinst installs should normally use a
    mirror and thus the package will be installed from there if needed.
    brltty will still get included on full CDs and DVDs through forcd1.
  * Remove references to no longer used files rawlist.exclude and list.exclude.
  * Clean up no longer needed compatibility code in lenny x86 boot script.

  [ Steve McIntyre ]
  * Rename list2cds to sort_deps.
  * Fix how directory trees are created in update-cd. Closes: #503911.
  * Update update_popcon to cope better with errors; now uses curl instead
    of wget.

  [ Raphael Hertzog ]
  * Don't try to copy sbm on etch CD images as it got removed.
  * Also extract isolinux.bin from the syslinux package in the case of etch
    CD images (since it's no more provided by debian-cd itself). 

  [ Frans Pop ]
  * Rework the way tasks are handled:
    - all tasks files are moved to ./tasks/<codename> subdirectories so they
      can be more easily kept up-to-date with specific distro releases
    - always generate the debian-installer and tasksel tasks dynamically:
      . all task files for the desired suite are copied to the working
        directory at the beginning of each build, and are used from there
      . the debian-installer and tasksel tasks are no longer included in
        releases but are always created automatically at build time; this
        means users no longer need to run the generate_di_* scripts or the
        update_tasksel script
      . the popcon task file will remain included as a static file, but plan
        is to add an option to update it automatically for each build; reason
        is that updating it requires network access
    - bump version to 3.1
  * Update the contrib/testingcds script based on its current version on
    farbror.
  * Clean up and update interesting-fromcd23 and exclude task files for lenny.
  * Fix error in expansion of %ARCH% variables in D-I image location envvars.
  * Fix i386/amd64 multi-arch support in the lenny x86 boot script so that the
    isolinux config gets modified correctly independent of the order in which
    the arches are specified.
  * Workaround #505243 by modifying the syslinux configuration for amd64/i386
    multi-arch images and using ifcpu64.c32 to autodetect 32/64-bit systems
    when a user hits enter from the isolinux help screens. Based on research
    done by Franklin Piat.

  [ Steve McIntyre ]
  * Stop copying the /tools/ directory on from the mirror; it's going away.
  * Add support for multiple desktop tasks on a single disk
  * Add support for tracking which packages we've extracted binaries from,
    so that we can archive them (both binaries and sources). If we need
    anything, we will list it in CD$N.pkgs_extracted so that external
    scripts can pick it up and do whatever's needed.
  * Minor changes to the interface of tools/which_deb to accommodate that:
    now just lists the files *within* the mirror; it's up to callers to
    prepend ${MIRROR} as needed.

  [ Frans Pop ]
  * make_image: ensure correct quoting of variables when calling genisoimage.
    Closes: #507300.
  * boot-hppa: support KERNEL_PARAMS (so desktop= can be passed).
  * boot-hppa: stop passing redundant boot parameters root and ramdisk_size.
  * Split out languages supported by D-I and tasksel from task.list files.
    Instead of duplicating what language tasks should be included in each
    task.list.* file, let update_tasks add them dynamically at runtime from a
    single list of languages supported by tasksel and D-I. This also makes
    maintaining the lists a lot less painful. Closes: #506616.
  * Indicate which tasks are "secondary" by adding a "-" suffix in task.list.*
    files instead of hardcoding it in update_tasks. Closes: #506668.
  * Add new file tasks/README.tasksel to document the way tasksel tasks are
    used when determining the order in which packages are added to images.
  * Update list of languages supported by tasksel and D-I for Lenny.
  * Add support for a separate 'LXDE desktop environment' CD.
  * Add support for a 'light desktop environment' CD (LXDE + Xfce).
    Includes a framework to manipulate the isolinux configuration for x86 so
    that a user can select which desktop he wishes to install.
  * Add support to create an 'all desktops' DVD.
    This new task will include all four desktop environments supported by
    tasksel (GNOME, KDE, LXDE and Xfce). On x86 it will also add an option in
    the isolinux menu (under Advanced options) to select which DE to install,
    but GNOME will remain default.
  * Add support for a separate 'GNOME desktop environment' CD.
    This new task is mostly added for completeness. Main difference with the
    default task file is that no server tasks are included.
  * Add a suffix "generic" to the default task files to make the overall naming
    scheme more consistent. It also allows to make update_tasks more generic.
  * Update exclude list for Lenny:
    - remove aspell* packages as they do not included on CD1 anyway and
      excluding them also means they get excluded from DVD1;
    - remove xen/vserver linux-image packages as they do not get included on
      CD1 anyway;
    - xmail and cdebconf were added as they got pulled in through alternative
      dependencies, which is no longer an issue.
  * Give priority to Key packages over regular packages for secondary tasks
    (similar to what we already did for primary tasks).
  * README.easy-build: document how to use custom packages and D-I images.
  * Add myself as uploader.

 -- Frans Pop <fjp@debian.org>  Mon, 12 Jan 2009 16:07:35 +0100

debian-cd (3.0.5) unstable; urgency=low

  [ Steve McIntyre ]
  * Pre-cache apt's package information in large lumps rather than walk

