=== debian/changelog ===
debian-cd (3.1.1) unstable; urgency=high

  [ Frans Pop ]
  * sparc: remove bogus default "append=cdrom" line from silo.conf template.
  * sparc: ensure the default 'install' option also gets KERNEL_PARAMS set.
  * start_new_disc: fix a typo so that DISC_PKG_HOOK might work. Thanks to
    Jonathan Hall for the patch. Closes: #513421
  * boot-x86: drop support for no longer really useful ISOLINUX_DEFAULT
    environment variable (see #512303 for discussion).
  * x86: clean up compatibility code that was needed for D-I Lenny RC1
    isolinux configuration files.

  [ Otavio Salvador ]
  * do not exclude libaio1-udeb from CDs.

  [ Steve McIntyre ]
  * Merge patches from Jonathan Hall:
    + Add better support for extra components, improve non-i386 mirror
      support (Closes: 514237)
    + tools/update_tasks no longer assumes i386 for all builds (Closes: #513497)
    + tools/which_deb no longer assumes i386 for all builds (Closes: #513498)
  * For source-only builds, don't do any task updates as they're not
    useful anyway.
  * Last high-urgency upload, ready for Lenny!

 -- Steve McIntyre <93sam@debian.org>  Thu, 12 Feb 2009 09:13:24 +0000
