=== debian/control ===
Source: debian-cd
Section: admin
Priority: extra
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Uploaders: Raphael Hertzog <hertzog@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Steve McIntyre <93sam@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: tofrodos
Standards-Version: 3.6.1.0
Vcs-Svn: svn://svn.debian.org/debian-cd/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-cd/trunk?op=log

Package: debian-cd
Architecture: all
Depends: curl, perl, cpp, libdigest-md5-perl, tofrodos, apt (>= 0.3.11.1), make, genisoimage, lynx-cur | lynx, grep-dctrl, bc, libcompress-zlib-perl
Recommends: hfsutils, netpbm, syslinux-common
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD set.
