## debian-cd 3.1.2

=== Makefile ===
--- 
+++ 
@@ -145,14 +145,14 @@
 	fi
 endif
 
-# Make sure unstable/sid points to testing/lenny, as there is no build
+# Make sure unstable/sid points to testing/squeeze, as there is no build
 # rule for unstable/sid.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
-		ln -s lenny $(BASEDIR)/data/sid ; \
+		ln -s squeeze $(BASEDIR)/data/sid ; \
 	fi
 	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
-		ln -s lenny $(BASEDIR)/tools/boot/sid ; \
+		ln -s squeeze $(BASEDIR)/tools/boot/sid ; \
 	fi
 
 #################
