=== debian/changelog ===
debian-cd (3.1.2) unstable; urgency=low

  [ Frans Pop ]
  * Add support for squeeze.

  [ Colin Watson ]
  * Luk Claes has taken over alpha, amd64, mips, and mipsel daily d-i
    builds.

  [ Steve McIntyre ]
  * Don't call images beta if they're using OFFICIAL_VAL == 2.
    Closes: #516353
  * Add wpasupplicant to tasks/*/forcd1 . Closes: #517298. It's a small
    package that should fit easily.
  * tools/sort_deps: Sort dependencies better: if A dep B then we should
    NOT list A before B. Closes: #518145.

  [ Joey Hess ]
  * Add firmware-linux to firmware task.
  * Re-add zd1211-firmware to firmware task.

  [ Steve McIntyre ]
  * tools/imagesums: Add support for more checksum types. genisoimage
    will shortly start generating sha256 and sha512 sums too.
  * Recognise and ignore Breaks: lines. Closes: #523444
  * Re-add code to generate install.bat on x86 machines. Thanks to Samuel
    Thibault for the patch. Closes: #518807
  * Modify README.html: only attempt to link to the release notes and
    installation manual on release-ready builds, otherwise suggest the
    alioth version of the installation manual. Closes: #330398

 -- Steve McIntyre <93sam@debian.org>  Sat, 16 May 2009 22:12:32 +0100
