## debian-cd 3.1.3

=== Makefile ===
--- 
+++ 
@@ -190,7 +190,7 @@
 $(ADIR)/status:
 	@echo "Generating a fake status file for apt-get and apt-cache..."
 	$(Q)for ARCH in $(ARCHES); do \
-		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH; \
+		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/preferences.d; \
 		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" ];then \
 			:> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
 		else \
@@ -311,9 +311,12 @@
 		ARCHDEFS="$$ARCHDEFS -D ARCH_$(subst -,_,$$ARCH)"; \
 		ARCHUNDEFS="$$ARCHUNDEFS -U $$ARCH"; \
 	done; \
+	for VARIANT in $(VARIANTS); do \
+		VARIANTDEFS="$$VARIANTDEFS -D VARIANT_$$VARIANT"; \
+	done; \
 	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
 		cat $(TASKDIR)/$(TASK) | \
-		cpp -nostdinc -nostdinc++ -P -undef $$ARCHDEFS \
+		cpp -nostdinc -nostdinc++ -P -undef $$ARCHDEFS $$VARIANTDEFS\
 	   		$$ARCHUNDEFS -U i386 -U linux -U unix \
 		    -DFORCENONUSONCD1=0 \
 		    -I $(TASKDIR) - - >> $(BDIR)/rawlist; \
