=== debian/changelog ===
debian-cd (3.1.3) unstable; urgency=low

  [ Frans Pop ]
  * Adjust x86 boot scripts for new version (2.0) of framework in D-I for
    creation of syslinux configuration files. Essentially the new version
    is a backport of what was already implemented in debian-cd before the
    release of Lenny and allows a significant simplification.
    There are no significant changes in generated CD/DVD images.
  * Split out code for workaround for #505243 to x86-desktop function library.
  * sparc: display message for unsupported subarchitectures.
  * Only do boot disk stuff for x86 and alpha if the image is supposed to be
    bootable. Avoids downloading x86 D-I images for all 30+ CDs in a full set.
  * Don't download floppy D-I images for i386; they're no longer available.
  * Don't fetch D-I images for the prep subarchitecture; it is not available.
  * Add path when sourcing CONF.sh for compatibility with dash. Spotted by
    Ian Campbell.
  * Add console-setup to packages needed for D-I.

  [ Steve McIntyre ]
  * Remove bashism in tools/apt-selection. Closes: #530972

  [ Ian Campbell ]
  * Add support for "variants". A variant allows to include/exclude additional
    packages or D-I components relative to a regular image.
  * Add variant to create i386/amd64 images that support installing Xen guests.
  * Recognise and ignore Enhances: lines.
  * Create apt/preferences.d in APTTMP, keeps newer apt from printing a warning.

  [ Raphaël Hertzog ]
  * Fallback looking for syslinux/silo/yaboot in $CODENAME when $DI_CODENAME
    didn't gave any result. This is useful when using partial mirrors built by
    simple-cdd while trying to build a Debian CD using a newer d-i (in my case
    etch CD with lenny d-i).
  * Use dpkg --fsys-tarfile instead of ar for extracting files from deb
    packages. The previous invocation could have failed for packages using
    something other than gzip compression.
  * Fix syntax errors in tools/boot/{lenny,squeeze}/boot-m68k (thanks to
    lintian).

  [ Steve McIntyre ]
  * Fix link in README.html.in for lenny, and update squeeze to match.
    Closes: #542191

  [ Frans Pop ]
  * s390: Add boot files specifying offset and size of the initrd for booting
    from CD. Change is based on SuSE's CD boot. Many thanks to Adam Thornton,
    Mark Post and Bastian Blank for providing the pointers to the missing bits.

  [ Steve McIntyre ]
  * Add support for coping with binary and source packages that are too
    large to fit. If we have to remove packages and their dependencies,
    list them in README.excluded in the root of disc 1.

  [ Joey Hess ]
  * Add firmware-linux-nonfree to firmware list. Left firmware-linux for now
    though it is now only a dependency package.
  * Add firmware-linux-free to firmware list, as a convenient way to make
    it available along with the other firmware files. (It could, instead,
    be included directly in d-i images, if there were a udeb.)
    Closes: 566561

  [ Karl Goetz ]
  * Improve the description for MAXCDS in the conf file. (Closes: #570028)
  * Export the CDNAME variable in the conf file. (Closes: #570470)

  [ Steve McIntyre ]
  * Cope with errors reported from debootstrap better; don't just treat
    the text output as package names. Closes: #570474

 -- Steve McIntyre <93sam@debian.org>  Sun, 21 Feb 2010 22:47:38 +0100
